Bug 93631 - xorg/util/cf - option -mminimal-toc on linkage - ppc64el arch
Summary: xorg/util/cf - option -mminimal-toc on linkage - ppc64el arch
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Build/Monolithic (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-07 14:27 UTC by Fernando
Modified: 2018-08-10 21:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Patch part 1, by Mauricio de Oliveira (1.70 KB, patch)
2016-01-07 14:27 UTC, Fernando
no flags Details | Splinter Review
Part 2, by Adam Conrad (1.11 KB, patch)
2016-01-07 14:27 UTC, Fernando
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando 2016-01-07 14:27:05 UTC
Created attachment 120869 [details] [review]
Patch part 1, by Mauricio de Oliveira

Hello.

On ppc64el, imake passes -mminimal-toc from CCOPTIONS to LDOPTIONS.
That causes builds that use it to fail, like so:

	ld -shared  -o libsciplot.so.1.36 SciPlot.o SciPlotUtil.o  -mminimal-toc       -lXm [...]      -soname libsciplot.so.1 -lc
	ld: unrecognised emulation mode: minimal-toc
	Supported emulations: elf64lppc elf32lppc elf32lppclinux elf32lppcsim 
elf32ppclinux elf32ppc elf32ppcsim elf64ppc
	make[2]: *** [shared] Error 1

The above happens on building sciplot on Debian.
The full log can be seen at [1].
There is also a bug report on Debian bug tracking system [2] with a patch.

I applied the patch on the git version of xorg/utils/cf and generated 2 diff files split by authors.

Regards

Fernando

[1] https://buildd.debian.org/status/fetch.php?pkg=sciplot&arch=ppc64el&ver=1.36-16&stamp=1410447072
[2] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=765370
Comment 1 Fernando 2016-01-07 14:27:53 UTC
Created attachment 120870 [details] [review]
Part 2, by Adam Conrad
Comment 2 Alan Coopersmith 2018-03-24 07:42:28 UTC
Imake.tmpl is used on systems which use non-GNU make, so can't have GNU-make
specific entries such as:

      LDOPTIONS := $(filter-out $(NOTLDOPTIONS),$(LDOPTIONS))
Comment 3 GitLab Migration User 2018-08-10 21:36:36 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/util/cf/issues/1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.